Bug 624983 - QEMU should support the newer set of MSRs for kvmclock
Summary: QEMU should support the newer set of MSRs for kvmclock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: 6.1
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 592296
Blocks: Rhel6KvmTier1 743047
TreeView+ depends on / blocked
 
Reported: 2010-08-18 10:00 UTC by Shirley Zhou
Modified: 2015-03-05 00:52 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.188.el6
Doc Type: Bug Fix
Doc Text:
Cause: A set if MSRs used by kvmclock was deprecated in favour of a new set of registers. Consequence: qemu-kvm didn't support the new set of registers, and guests that used only the new set wouldn't be able to use kvmclock. Change: the new set of kvmclock registers is now supported. Result: guests that use only the new set of kvmclock registers will be able to use kvmclock too.
Clone Of: 592296
Environment:
Last Closed: 2011-12-06 15:43:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-06 01:23:30 UTC

Comment 11 Qunfang Zhang 2011-09-16 07:14:20 UTC
Verified on kernel-2.6.32-196.el6.x86_64 and qemu-kvm-0.12.1.2-2.189.el6.

Steps:
1. Boot a RHEL6.2 guest. (guest kernel version: kernel-2.6.32-196.el6.x86_64)
2. Check dmesg info of guest:
# dmesg | grep kvm
kvm-clock: Using msrs 4b564d01 and 4b564d00
kvm-clock: cpu 0, msr 0:1c1df81, boot clock
kvm-clock: cpu 0, msr 0:28215f81, primary cpu clock
kvm-clock: cpu 1, msr 0:28315f81, secondary cpu clock
Switching to clocksource kvm-clock

It already uses the newer sets of MSRs (4b564d01 and 4b564d00) for kvmclock.

So, this bug is fixed.

Comment 12 Qunfang Zhang 2011-09-16 07:18:08 UTC
Based on Comment 11. This issue can be reproduced on qemu-kvm-0.12.1.2-2.185.el6.

Boot the same guest and check the dmesg info of guest:

# dmesg | grep kvm
kvm-clock: Using msrs 12 and 11
kvm-clock: cpu 0, msr 0:1c1df81, boot clock
kvm-clock: cpu 0, msr 0:28215f81, primary cpu clock
kvm-clock: cpu 1, msr 0:28315f81, secondary cpu clock
Switching to clocksource kvm-clock

It is using the old MSRs 12 and 11.

Comment 14 Eduardo Habkost 2011-11-17 18:15:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: A set if MSRs used by kvmclock was deprecated in favour of a new set of registers.

Consequence: qemu-kvm didn't support the new set of registers, and guests that used only the new set wouldn't be able to use kvmclock.

Change: the new set of kvmclock registers is now supported.

Result: guests that use only the new set of kvmclock registers will be able to use kvmclock too.

Comment 15 errata-xmlrpc 2011-12-06 15:43:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html


Note You need to log in before you can comment on or make changes to this bug.